<form class="ui form" [ngClass]="{'loading': loading}" (ngSubmit)="onSubmit()">
  <input [hidden]="true" type="file" multiple #inputFiles (change)="associateFiles()">
  <div class="field">
    <button class="ui right floated button" [ngClass]="{'disabled': disabled}" type="submit">Envoyer</button>
    <div class="ui basic buttons">
      <button class="ui button" type="button" (click)="addFiles()">Ajouter</button>
      <button class="ui button" type="button" (click)="deleteAll()">Tout supprimer</button>
    </div>
  </div>
  <div class="field">
    <table class="ui definition table">
      <tbody>
      <tr *ngIf="!files.length" class="center aligned">
        <td colspan="3"><i>Aucun fichier</i></td>
      </tr>
      <ng-container *ngIf="files.length">
        <tr *ngFor="let file of files; let i = index;">
          <td class="collapsing center aligned">
            <a [attr.href]="file.src" [attr.download]="file.name" #link></a>
            <img *ngIf="file.displayable" class="ui small image"
                 [ngClass]="{'clickable': options.imageViewer}"
                 [attr.src]="file.src"
                 (load)="imgOnload($event, i)"
                 (error)="imgError(file)"
                 (click)="initModal(file)">
            <i *ngIf="!file.displayable" class="massive black fa-eye-slash icon"></i>
          </td>
          <td>
            {{file.name}}
          </td>
          <td class="collapsing" *ngIf="options.fileType.display">
            <div #dropdown class="ui selection dropdown" [ngClass]="{'disabled': options.fileType.locked}">
              <input type="hidden" [attr.value]="file.type" (change)="onChangeType($event, file)">
              <i class="dropdown icon"></i>
              <div class="default text">
                {{options.fileType.label}} <i *ngIf="!options.fileType.choices.length">(no choices)</i>
              </div>
              <div class="menu">
                <div class="item" *ngFor="let type of options.fileType.choices"
                     [ngClass]="{'active': type === file.type}" [attr.data-value]="type">{{type}}
                </div>
              </div>
            </div>
          </td>
          <td class="collapsing">
            <button class="ui negative basic button" type="button" (click)="deleteFile(i)">Supprimer</button>
          </td>
        </tr>
      </ng-container>
      </tbody>
    </table>
  </div>
</form>
<div class="ui basic modal" #modalViewer>
  <div class="image content">
    <div class="ui huge centered image">
      <img class="ui centered image" [attr.src]="modal.imageSrc" (load)="showModal()">
    </div>
  </div>
  <div class="centered actions">
    <div class="ui basic inverted button" (click)="closeModal()">
      Fermer
    </div>
  </div>
</div>